This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1026094 - [abrt] evolution-3.10.1-1.fc20: magazine_chain_pop_head: Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
[abrt] evolution-3.10.1-1.fc20: magazine_chain_pop_head: Process /usr/bin/evo...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:7adfd265ae56226ddbca7f785fa...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-03 10:49 EST by Jared Smith
Modified: 2015-06-29 08:47 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:47:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (101.54 KB, text/plain)
2013-11-03 10:50 EST, Jared Smith
no flags Details
File: cgroup (159 bytes, text/plain)
2013-11-03 10:50 EST, Jared Smith
no flags Details
File: core_backtrace (58.15 KB, text/plain)
2013-11-03 10:50 EST, Jared Smith
no flags Details
File: dso_list (24.58 KB, text/plain)
2013-11-03 10:50 EST, Jared Smith
no flags Details
File: environ (1.23 KB, text/plain)
2013-11-03 10:50 EST, Jared Smith
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-03 10:50 EST, Jared Smith
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-03 10:50 EST, Jared Smith
no flags Details
File: maps (137.96 KB, text/plain)
2013-11-03 10:50 EST, Jared Smith
no flags Details
File: open_fds (1.71 KB, text/plain)
2013-11-03 10:50 EST, Jared Smith
no flags Details
File: proc_pid_status (941 bytes, text/plain)
2013-11-03 10:50 EST, Jared Smith
no flags Details
File: var_log_messages (17.05 KB, text/plain)
2013-11-03 10:50 EST, Jared Smith
no flags Details

  None (edit)
Description Jared Smith 2013-11-03 10:49:57 EST
Description of problem:
I unplugged a wired ethernet cable and was preparing to switch to wireless, when Evolution crashed.  Before removing the cable, it was running in the background but not being actively used.

Version-Release number of selected component:
evolution-3.10.1-1.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        evolution
crash_function: magazine_chain_pop_head
executable:     /usr/bin/evolution
kernel:         3.11.6-301.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1975

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 magazine_chain_pop_head at gslice.c:545
 #1 thread_memory_magazine1_alloc at gslice.c:848
 #2 g_slice_alloc at gslice.c:1007
 #3 string_pool_node_new at camel-string-utils.c:159
 #4 camel_pstring_add at camel-string-utils.c:242
 #5 camel_pstring_strdup at camel-string-utils.c:315
 #6 mir_from_cols at camel-folder-summary.c:2493
 #7 camel_read_mir_callback at camel-folder-summary.c:2546
 #8 sqlite3_exec at sqlite3.c:93864
 #9 cdb_sql_exec at camel-db.c:455

Potential duplicate: bug 701604
Comment 1 Jared Smith 2013-11-03 10:50:07 EST
Created attachment 818771 [details]
File: backtrace
Comment 2 Jared Smith 2013-11-03 10:50:10 EST
Created attachment 818772 [details]
File: cgroup
Comment 3 Jared Smith 2013-11-03 10:50:13 EST
Created attachment 818773 [details]
File: core_backtrace
Comment 4 Jared Smith 2013-11-03 10:50:17 EST
Created attachment 818774 [details]
File: dso_list
Comment 5 Jared Smith 2013-11-03 10:50:20 EST
Created attachment 818775 [details]
File: environ
Comment 6 Jared Smith 2013-11-03 10:50:23 EST
Created attachment 818776 [details]
File: exploitable
Comment 7 Jared Smith 2013-11-03 10:50:27 EST
Created attachment 818777 [details]
File: limits
Comment 8 Jared Smith 2013-11-03 10:50:30 EST
Created attachment 818778 [details]
File: maps
Comment 9 Jared Smith 2013-11-03 10:50:34 EST
Created attachment 818779 [details]
File: open_fds
Comment 10 Jared Smith 2013-11-03 10:50:37 EST
Created attachment 818780 [details]
File: proc_pid_status
Comment 11 Jared Smith 2013-11-03 10:50:40 EST
Created attachment 818781 [details]
File: var_log_messages
Comment 12 Milan Crha 2013-11-05 12:55:26 EST
Thanks for a bug report. I see evolution crashed on your Junk folder update, most likely due to some (software) memory corruption, probably caused by accessing memory after it was freed. The folder updated itself, because it received a change notification from one of its monitored folders. Such update was most likely initiated due to periodical update of the account. It doesn't necessarily mean that the cause is at the Junk folder object, because (software) memory corruption can be "found" any time after it happens, not only immediately after it.

By any chance, did this happen multiple times for you, please?
Comment 13 Kamil J. Dudek 2013-11-22 08:45:35 EST
No user interaction, automatic sync of two mail accounts added with gnome-online-accounts. After some time Evolution crashed and abrt took over.

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        evolution
crash_function: magazine_chain_pop_head
executable:     /usr/bin/evolution
kernel:         3.11.8-300.fc20.x86_64
package:        evolution-3.10.2-1.fc20
reason:         Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Jared Smith 2013-11-22 10:28:18 EST
No, it's only happened to me once so far.  I'll report back if it happens again.
Comment 15 David Jaša 2013-12-12 08:37:20 EST
evolution crashed when it was loading a message.

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        evolution
crash_function: magazine_chain_pop_head
executable:     /usr/bin/evolution
kernel:         3.11.10-301.fc20.x86_64
package:        evolution-3.10.2-2.fc20
reason:         Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Brian J. Murrell 2014-04-08 06:14:42 EDT
This also just happened to me.
Comment 17 Artur Flinta 2014-08-20 17:30:20 EDT
Another user experienced a similar problem:

Tried to clear search field (above messages list) several times - it was impossible to clear it, few seconds later evolution have died.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        evolution
crash_function: magazine_chain_pop_head
executable:     /usr/bin/evolution
kernel:         3.15.10-200.fc20.x86_64
package:        evolution-3.10.4-3.fc20
reason:         evolution killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 18 Fedora Admin XMLRPC Client 2014-09-04 10:29:54 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 19 Fedora End Of Life 2015-05-29 05:40:53 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 20 Fedora End Of Life 2015-06-29 08:47:59 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.